curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "status": "cancelled" }'
{
"success": true,
"data": {
"id": "event-uuid-1",
"status": "cancelled",
"updated_at": "2024-01-15T19:00:00Z"
}
}
Events
Update Calendar Event
Update a calendar event
PUT
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
/
{event_id}
curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "status": "cancelled" }'
{
"success": true,
"data": {
"id": "event-uuid-1",
"status": "cancelled",
"updated_at": "2024-01-15T19:00:00Z"
}
}
Update Calendar Event
Update fields on an existing calendar event. All fields are optional.Endpoint
PUT /api/v1/calendars/{calendar_id}/events/{event_id}
Path parameters
string
required
Calendar UUID.
string
required
Event UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be
application/json.Request body
Same fields as Create Calendar Event, all optional.Examples
curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "status": "cancelled" }'
Response
{
"success": true,
"data": {
"id": "event-uuid-1",
"status": "cancelled",
"updated_at": "2024-01-15T19:00:00Z"
}
}
Was this page helpful?